<script setup lang="ts">
import { useStockStore } from '@/Stock/stores/stock'
import { computed, ref } from 'vue'

const stockStore = useStockStore()
const header = ['No', 'Name', 'Price', 'Unit', 'Total', 'Action']

const props = defineProps({
  tableHeight: Number
})

const reversedReceiptItems = computed(() => [...stockStore.items].reverse())
</script>
<template>
  <v-container>
    <v-row>
      <v-col cols="6">
        <v-card width="300" height="300"> {{ stockStore.items }}</v-card>
      </v-col>
    </v-row>
  </v-container>
  <v-table class="custom-table" fixed-header :height="props.tableHeight">
    <!--  height="250px"-->
    <thead>
      <tr>
        <th class="bg-brown" v-for="h in header" :key="h">{{ h }}</th>
      </tr>
    </thead>
    <tbody>
      <tr v-for="(item, index) of reversedReceiptItems" :key="item.id" class="custom-row">
        <td>{{ reversedReceiptItems.length - index }}</td>
        <td>{{ item.name }}</td>
        <td>{{ item.price }}</td>
        <td>
          <v-icon icon="mdi-minus" density="compact" @click="stockStore.dec(item)"></v-icon>
          {{ item.balance }}
          <v-icon icon="mdi-plus" density="compact" @click="stockStore.inc(item)"></v-icon>
        </td>
        <td>{{ item.price * item.balance }}</td>
        <td>
          <v-icon icon="mdi-trash-can-outline" @click="stockStore.removeReceiptItem(item)"></v-icon>
        </td>
      </tr>
    </tbody>
  </v-table>
</template>
